package org.project.item.weapons;

import org.project.entity.Entity;

public class Fireball extends Weapon{
    private static int DEFAULT_DAMAGE = 15;
    private static int DEFAULT_MANACOST = 20;
    private static int DEFAULT_SPECIAL_MANA = 25;


    public Fireball() {
        super(DEFAULT_DAMAGE, DEFAULT_MANACOST, DEFAULT_SPECIAL_MANA);
    }
    @Override
    public void useSpecialAbility(Entity attacker, Entity target) {
        target.takeDamage(this.getDamage() * 3);
        attacker.reduceMana(this.getSpecialMana());
    }
    @Override
    public String getType() {
        return "Dagger(Assassins)";
    }
    @Override
    public String getExplanation() {
        return "Magical balls of fire for Wizards.\n"+
                "Damage: "+ this.getDamage() +" Mana cost: " + this.getManaCost();
    }
}
